Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2021-02356, UID# 2994
App. Status: Expired

Valid: 03/11/2021 - 03/14/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2696 (03/10/2021)

Charge Cost Quantity Total
Non-Taxable
added 03/10/2021 12:27 PM

Fee for over length permit

$30.00 x 1 $30.00
added 03/10/2021 12:27 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 03/10/2021 12:27 PM

Fee for over width permit

$30.00 x 1 $30.00
added 03/10/2021 12:27 PM

For movement on Plant Road

$90.00 x 1 $90.00
Grand Total
Total $180.00
Payment 03/11/2021$180.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
Applicanttom r. volk - 03/10/2021 12:19 PM
38fba71d0bb45b9a68d521273434f61a
94da60e3bfb8874de875b4d507de9762
 
#1 Permit Issuing OfficialRachel Grimm - 03/10/2021 2:01 PM
02218f14903de77849b2724c074999b3
b8046cc314480b436f6aa80defd956f7
 
Permit has been approved. All signatures have been obtained.